//*****************************************************************************
// Description     : Definitions depends on the user environment
// Target Device   : APU101
// Target Platform : Windows, .NET Framework, C#
// Date            : August 2017
// Version         : 1.0
//*****************************************************************************

//
// Modify the following return values according to your environment
//
namespace APU101_sample
{
	public static class Defines
	{
		// Number of histogram data
		public const int NUM_DATA = 8192;	// for APU101
//		public const int NUM_DATA = 4096;	// for APU101X

		// Name of the file where data saved
		public const string SAVE_FILENAME = "hist_data.csv";

		// Measurement time (msec)
		public const uint MEASUREMENT_TIME = 3000;

		// Wait time between CH specific commands (msec)
		public const uint CH_CMD_INTERVAL = 3;

		// Source port number for command
		public const int DEVICE_PORT_CTRL_OWNPC = 50000;

		// IP address of target device
		public const string DEVICE_IPADDR = "192.168.10.128";

	    // Destination port number for command
		public const int DEVICE_PORT_CTRL_DEVICE = 4660;

		// Port number for data reception
		public const int DEVICE_PORT_DATARECV = 24;
	}
}
